varying mediump vec2 var_texcoord0;
varying lowp vec4 var_color;

uniform lowp sampler2D texture;
uniform lowp vec4 blur;

void main()
{
    lowp vec4 tex = texture2D(texture, var_texcoord0.xy);
    
    lowp vec4 result_color_RGBA = tex; // * var_color;
    
    result_color_RGBA.w = blur;
    
    gl_FragColor = result_color_RGBA;
    
}
